org.eclipse.viatra.query.runtime.matchers.psystem.basicdeferred

## Class NegativePatternCall

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.BasePConstraint
  - - org.eclipse.viatra.query.runtime.matchers.psystem.DeferredPConstraint
    - - org.eclipse.viatra.query.runtime.matchers.psystem.VariableDeferredPConstraint
      - - org.eclipse.viatra.query.runtime.matchers.psystem.basicdeferred.PatternCallBasedDeferred
        - - org.eclipse.viatra.query.runtime.matchers.psystem.basicdeferred.NegativePatternCall

- All Implemented Interfaces:
    IQueryReference, PConstraint, PTraceable

      public class NegativePatternCall
      extends PatternCallBasedDeferred

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.runtime.matchers.psystem.PConstraint

      `PConstraint.CompareByMonotonousID`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.basicdeferred.PatternCallBasedDeferred

      `actualParametersTuple, query`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.BasePConstraint

      `pBody`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NegativePatternCall(PBody pBody, Tuple actualParametersTuple, PQuery query)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDoReplaceVariables(PVariable obsolete, PVariable replacement)`
    `protected java.util.Set<PVariable>` | `getCandidateQuantifiedVariables()`
    `java.util.Set<PVariable>` | `getDeducedVariables()` The set of variables whose potential values can be enumerated (once all non-deduced variables have known values).
    `protected java.lang.String` | `toStringRest()`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.basicdeferred.PatternCallBasedDeferred

      `checkSanity, doReplaceVariable, getActualParametersTuple, getDeferringVariables, getReferredQuery`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.VariableDeferredPConstraint

      `isReadyAt`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.BasePConstraint

      `delete, getAffectedVariables, getFunctionalDependencies, getMonotonousID, getPSystem, replaceVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NegativePatternCall

          public NegativePatternCall(PBody pBody,
                                     Tuple actualParametersTuple,
                                     PQuery query)

  - ### Method Detail

    - #### getDeducedVariables

          public java.util.Set<PVariable> getDeducedVariables()

      Description copied from interface: `PConstraint`
      The set of variables whose potential values can be enumerated (once all non-deduced variables have known values).

    - #### getCandidateQuantifiedVariables

          protected java.util.Set<PVariable> getCandidateQuantifiedVariables()

      Specified by:
        `getCandidateQuantifiedVariables` in class `PatternCallBasedDeferred`
      Returns:
        all variables that may potentially be quantified they are not used anywhere else

    - #### doDoReplaceVariables

          protected void doDoReplaceVariables(PVariable obsolete,
                                              PVariable replacement)

      Specified by:
        `doDoReplaceVariables` in class `PatternCallBasedDeferred`

    - #### toStringRest

          protected java.lang.String toStringRest()

      Specified by:
        `toStringRest` in class `BasePConstraint`